//
// Project.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct Project: Codable {

    public var _id: Int?
    public var name: String?
    public var _description: String?
    public var isActive: Bool?
    public var startDate: Date?
    public var endDate: Date?

    public init(_id: Int? = nil, name: String? = nil, _description: String? = nil, isActive: Bool? = nil, startDate: Date? = nil, endDate: Date? = nil) {
        self._id = _id
        self.name = name
        self._description = _description
        self.isActive = isActive
        self.startDate = startDate
        self.endDate = endDate
    }

    public enum CodingKeys: String, CodingKey { 
        case _id = "Id"
        case name = "Name"
        case _description = "Description"
        case isActive = "IsActive"
        case startDate = "StartDate"
        case endDate = "EndDate"
    }

}
